<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        id="consultaFichaForm">


    <p:panel header="Datos Búsqueda" toggleable="false">

        <p:messages id="msgsFicha" showDetail="false" globalOnly="false" />


        <h:panelGrid>

            <h:panelGrid columns="4">

                <h:outputLabel for="consultaTramiteDepartamento"
                               value="Departamento: " styleClass="outputLabelStyle" />
                <h:selectOneMenu id="consultaTramiteDepartamento"
                                 label="Departamento"
                                 value="#{cargaFichaMatriz.datosConsultaPredio.departamentoId}">
                    <f:selectItems
                        value="#{cargaFichaMatriz.departamentos}" />
                    <p:ajax update="consultaTramiteMunicipio, s1, s2" event="change"
                            onstart="statusDialog2.show();" listener="#{cargaFichaMatriz.inicializaMunicipios}"
                            oncomplete="statusDialog2.hide();" />
                </h:selectOneMenu>


                <h:outputLabel for="consultaTramiteMunicipio" value="Municipio: "
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="consultaTramiteMunicipio" label="Municipio"
                                 value="#{cargaFichaMatriz.datosConsultaPredio.municipioId}">
                    <f:selectItems value="#{cargaFichaMatriz.municipios}" />
                    <p:ajax onstart="statusDialog2.show();" event="change" update="s1, s2"
                            oncomplete="statusDialog2.hide();" listener="#{cargaFichaMatriz.inicializarNumeroPredial}"/>
                </h:selectOneMenu>

            </h:panelGrid>

            <h:outputLabel value="Número pedial "
                           styleClass="outputLabelStyle" />

            <h:panelGroup>
                <h:inputText id="s1" disabled="true"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS1}"
                             size="1" maxlength="2"
                             onkeyup="saltar(this, 2, 2, 3, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s2" disabled="true"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS2}"
                             size="3" maxlength="3"
                             onkeyup="saltar(this, 3, 3, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s3"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS3}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 4, 2, 'tareasTab:formConsultaTramite:');" />
                <p:spacer width="2" />

                <h:inputText id="s4"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS4}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 5, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s5"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS5}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 6, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s6"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS6}"
                             size="2" maxlength="2"
                             onkeyup="saltar(this, 2, 7, 4, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s7"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS7}"
                             size="4" maxlength="4"
                             onkeyup="saltar(this, 4, 8, 4, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s8"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS8}"
                             size="4" maxlength="4"
                             onkeyup="saltar(this, 4, 9, 1, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />

                <h:inputText id="s9"
                             value="#{cargaFichaMatriz.datosConsultaPredio.numeroPredialS9}"
                             size="1" maxlength="1"
                             onkeyup="saltar(this, 1, 10, 2, 'tareasTab:formConsultaTramite:');"/>
                <p:spacer width="2" />


            </h:panelGroup>

        </h:panelGrid>


    </p:panel>


    <h:panelGrid columns="7">
        <p:commandButton value="Buscar" id="buscarBtn"
                         update="msgsFicha, crearBtn" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();"
                         action="#{cargaFichaMatriz.verificarExistenciaFicha}"
                         icon="ui-icon-search" title="Buscar" />

        <p:commandButton id="crearBtn" value="Crear"
                         icon="ui-icon-plusthick"
                         disabled="#{!cargaFichaMatriz.activarCreacion}"
                         action="#{cargaFichaMatriz.generarFicha}"
                         oncomplete="statusDialog2.hide();handleCompleteSIC(xhr, status, args, buscarFichaWV, false)"
                         update=":cargueFichasForm, :consultaFichaForm"
                         onstart="statusDialog2.show();" process="@form" />

    </h:panelGrid>



</h:form>
